Package org.springframework.util

# Interface ConcurrentReferenceHashMap.Reference<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

protected static interface ConcurrentReferenceHashMap.Reference<K,V>
A reference to an `ConcurrentReferenceHashMap.Entry` contained in the map. Implementations are usually wrappers around specific Java reference implementations (for example, `SoftReference`).

## Method Summary

Modifier and Type
Method
Description
`ConcurrentReferenceHashMap.Entry<K,V>`
`get()`
Return the referenced entry, or `null` if the entry is no longer available.
`int`
`getHash()`
Return the hash for the reference.
`ConcurrentReferenceHashMap.Reference<K,V>`
`getNext()`
Return the next reference in the chain, or `null` if none.
`void`
`release()`
Release this entry and ensure that it will be returned from `ReferenceManager#pollForPurge()`.

## Method Details

### get

@Nullable ConcurrentReferenceHashMap.Entry<K,V> get()
Return the referenced entry, or `null` if the entry is no longer available.

### getHash

int getHash()
Return the hash for the reference.

### getNext

@Nullable ConcurrentReferenceHashMap.Reference<K,V> getNext()
Return the next reference in the chain, or `null` if none.

### release

void release()
Release this entry and ensure that it will be returned from `ReferenceManager#pollForPurge()`.